Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# BaseParticleEmitter Class Reference

Describes a physical region in space in which particles are randomly generated. More...

Inheritance diagram for BaseParticleEmitter:

List of all members.

## Public Types
enum | emissionType { ETEXPLICIT = 0, ETRADIATE = 1, ETCUSTOM = 2 }
## Public Member Functions
| generate (Point3 pos, Vec3 vel)
| parent generation function
float | getAmplitude ()
| amplitude query
float | getAmplitudeSpread ()
| amplitude spread query
emissionType | getEmissionType ()
| emission type query
Vec3 | getExplicitLaunchVector ()
| query for explicit emission launch vector
Vec3 | getOffsetForce ()
| user-defined force
Point3 | getRadiateOrigin ()
| query for explicit emission launch vector
BaseParticleEmitter | makeCopy ()
| output (ostream out)
| Write a string representation of this instance to <out>.
| setAmplitude (float a)
| amplitude assignment
| setAmplitudeSpread (float as)
| amplitude spread assignment
| setEmissionType (emissionType et)
| emission type assignment
| setExplicitLaunchVector (Vec3 const elv)
| assignment of explicit emission launch vector
| setOffsetForce (Vec3 const of)
| user-defined force
| setRadiateOrigin (Point3 const ro)
| assignment of radiate emission origin point
| write (ostream out)
| Write a string representation of this instance to <out>.
| write (ostream out, int indent)
| Write a string representation of this instance to <out>.

## Detailed Description

Describes a physical region in space in which particles are randomly generated.

## Member Enumeration Documentation

enum emissionType

Enumerator:

  ETEXPLICIT |
  ETRADIATE |
  ETCUSTOM |

## Member Function Documentation

generate | ( | Point3 | pos,
|  | Vec3 | vel
| ) |  |

parent generation function

float getAmplitude | ( |  | ) |

amplitude query

float getAmplitudeSpread | ( |  | ) |

amplitude spread query

emissionType getEmissionType | ( |  | ) |

emission type query

Vec3 getExplicitLaunchVector | ( |  | ) |

query for explicit emission launch vector

Vec3 getOffsetForce | ( |  | ) |

user-defined force

Point3 getRadiateOrigin | ( |  | ) |

query for explicit emission launch vector

BaseParticleEmitter makeCopy | ( |  | ) |

output | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

setAmplitude | ( | float | a | ) |

amplitude assignment

setAmplitudeSpread | ( | float | as | ) |

amplitude spread assignment

setEmissionType | ( | emissionType | et | ) |

emission type assignment

setExplicitLaunchVector | ( | Vec3 const | elv | ) |

assignment of explicit emission launch vector

setOffsetForce | ( | Vec3 const | of | ) |

user-defined force

setRadiateOrigin | ( | Point3 const | ro | ) |

assignment of radiate emission origin point

write | ( | ostream | out | ) |

Write a string representation of this instance to <out>.

write | ( | ostream | out,
|  | int | indent
| ) |  |

Write a string representation of this instance to <out>.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties